### Constructor

# Gio DBusMessage new_method_call

since: 2.26

#### Declaration

    GDBusMessage*
    g_dbus_message_new_method_call (
      const gchar* name,
      const gchar* path,
      const gchar* interface_,
      const gchar* method
    )

#### Description

Creates a new `GDBusMessage` for a method call.

Available since: 2.26

#### Parameters

`name`

  Type: `const gchar*`

  A valid D-Bus name or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`path`

  Type: `const gchar*`

  A valid object path.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`interface_`

  Type: `const gchar*`

  A valid D-Bus interface name or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`method`

  Type: `const gchar*`

  A valid method name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GDBusMessage`

A `GDBusMessage`. Free with g_object_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.